Sign Up & Access
- Visit sign-up page.
- Fill out the form and complete your account setup.
Create Your First Workflow
- Once you are logged in, you can see the “Create Workflow” button. By clicking on it, you can create a new workflow.
- Once you choose a name for your workflow, you will be redirected to the workflow builder page.
- At the bottom of the page, you’ll find the nodes dock, where you can create different types of steps by clicking on them.

Design the workflow
Let’s build a simple workflow to help you understand how Orka works.As mentioned earlier, every workflow in Orka starts with a trigger. To begin, drag and drop (or click) the leftmost icon in the node dock—the Trigger Node. Once the Trigger Node appears on the canvas, click on it to open the properties panel on the right. The properties panel allows you to configure the settings of the selected node.

- URL:
https://jsonplaceholder.typicode.com/users/1- You can try the API, here is the response body:
-
- Method:
GET - Response Mapping:
- Click on add mapping and map
user_nametoname. This will extract thenamefield in the API response body and map it to a execution variable calleduser_name.
- Click on add mapping and map

- Sends a request to an API to fetch a user information in JSON
- Extract a field in the response body called
nameand map it touser_name. - Declares a new variable for greeting the user appending the user’s name to the end of the message.
If you don’t save the workflow, it will be lost when you close or leave the Orka tab in your browser.

Running the workflow
Now it’s time to run our workflow! For running a workflow you should always deploy it. Use the Menu > Workflow > Deploy (Activate) to deploy the workflow. Once deployed, the Run button (located in the top-right corner of the page) will become enabled. Clicking this button will trigger the execution of your workflow. After running it, switch to the Executions tab to view the list of executions for the current workflow. Then click on the only record in the executions list, you will be redirected to Execution Details page. At the bottom-left of the page, you can view the execution variables as follows:
{{user_name}} in the Set Variable expression has been evaluated and replaced with the actual name of the user in the hello_message. This demonstrates how execution variables work in Orka.
Execution Variables
Execution variables are dynamic values that are generated or passed along during the execution of a workflow. Once a variable is created—such asuser_name extracted from the HTTP response—you can reference it in other nodes by wrapping it in double curly braces, like {{variable_name}}.
For example:
- If the API response returned a user with the name
John, the expressionHello, {{user_name}}!would evaluate to “Hello, John!”. - If instead the API returned
Sara, the same expression would automatically become “Hello, Sara!”.
- Set Variable nodes – to build custom messages or compute new values.
- HTTP Request nodes – e.g., calling an API with a dynamic parameter like
https://api.example.com/users/{{user_id}}.
Execution Route



